Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-14693 Upgrade JUnit from 4 to 5
  3. HADOOP-14775

Change junit dependency in parent pom file to junit 5 while maintaining backward compatibility to junit4.

    XMLWordPrintableJSON

    Details

    • Type: Sub-task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.0.0-alpha4
    • Fix Version/s: 3.3.0
    • Component/s: build
    • Labels:

      Description

      Change junit dependency in parent pom file to junit 5 while maintaining backward compatibility to junit4.

        Attachments

        1. HADOOP-14775.01.patch
          1 kB
          Ajay Kumar
        2. HADOOP-14775.02.patch
          2 kB
          Ajay Kumar
        3. HADOOP-14775.03.patch
          3 kB
          Akira Ajisaka
        4. HADOOP-14775.04.patch
          3 kB
          Akira Ajisaka
        5. HADOOP-14775.05.patch
          2 kB
          Akira Ajisaka
        6. HADOOP-14775.06.patch
          2 kB
          Akira Ajisaka

          Issue Links

            Activity

              People

              • Assignee:
                aajisaka Akira Ajisaka
                Reporter:
                ajayydv Ajay Kumar
              • Votes:
                0 Vote for this issue
                Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: